org.apache.cassandra.db

## Class LegacyLayout.LegacyRangeTombstone

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.LegacyRangeTombstone

All Implemented Interfaces:
  LegacyLayout.LegacyAtom

Enclosing class:
  LegacyLayout

    public static class LegacyLayout.LegacyRangeTombstone
    extends java.lang.Object
    implements LegacyLayout.LegacyAtom

A legacy range tombstone.

This is used as a temporary object to facilitate dealing with the legacy format, this is not meant to be optimal.

### Field Summary

Fields
`DeletionTime` `deletionTime`
`LegacyLayout.LegacyBound` `start`
`LegacyLayout.LegacyBound` `stop`

### Constructor Summary

Constructors
Constructor and Description
`LegacyRangeTombstone(LegacyLayout.LegacyBound start, LegacyLayout.LegacyBound stop, DeletionTime deletionTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LegacyLayout.LegacyCell` `asCell()`
`LegacyLayout.LegacyRangeTombstone` `asRangeTombstone()`
`ClusteringPrefix` `clustering()`
`boolean` `isCell()`
`boolean` `isCollectionTombstone()`
`boolean` `isRowDeletion(CFMetaData metadata)`
`boolean` `isStatic()`
`java.lang.String` `toString()`
`LegacyLayout.LegacyRangeTombstone` `withNewEnd(LegacyLayout.LegacyBound newStop)`
`LegacyLayout.LegacyRangeTombstone` `withNewStart(LegacyLayout.LegacyBound newStart)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### start

    public final LegacyLayout.LegacyBound start

#### stop

    public final LegacyLayout.LegacyBound stop

#### deletionTime

    public final DeletionTime deletionTime

### Constructor Detail

#### LegacyRangeTombstone

    public LegacyRangeTombstone(LegacyLayout.LegacyBound start,
                                LegacyLayout.LegacyBound stop,
                                DeletionTime deletionTime)

### Method Detail

#### clustering

    public ClusteringPrefix clustering()

Specified by:
  `clustering` in interface `LegacyLayout.LegacyAtom`

#### withNewStart

    public LegacyLayout.LegacyRangeTombstone withNewStart(LegacyLayout.LegacyBound newStart)

#### withNewEnd

    public LegacyLayout.LegacyRangeTombstone withNewEnd(LegacyLayout.LegacyBound newStop)

#### isCell

    public boolean isCell()

Specified by:
  `isCell` in interface `LegacyLayout.LegacyAtom`

#### isStatic

    public boolean isStatic()

Specified by:
  `isStatic` in interface `LegacyLayout.LegacyAtom`

#### asCell

    public LegacyLayout.LegacyCell asCell()

Specified by:
  `asCell` in interface `LegacyLayout.LegacyAtom`

#### asRangeTombstone

    public LegacyLayout.LegacyRangeTombstone asRangeTombstone()

Specified by:
  `asRangeTombstone` in interface `LegacyLayout.LegacyAtom`

#### isCollectionTombstone

    public boolean isCollectionTombstone()

#### isRowDeletion

    public boolean isRowDeletion(CFMetaData metadata)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`